<?php
//constans
define("DEF_SIZE", "60");



function PrintSelect($table, $field, $title, $selected, $id, $order) {
$mydb = new db();
if ($table=="kk_megye")
{
	$stmt = "SELECT * FROM $table ORDER BY ssz ASC";
}
else
{
	$stmt = "SELECT * FROM $table ORDER BY $order ASC";
}
$result=$mydb->query($stmt);

printf("<tr><td width=100>$title</td><td>");
printf("<select name=$field>\n");
printf("<option value=0>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>\n");

while (($row = mysql_fetch_object($result))){
	if ($row->$id == $selected) {
	printf("<option value=\"%s\" selected>%s</option>\n", $row->$id, stripslashes($row->$order));
	} else {
	printf("<option value=\"%s\">%s</option>\n", $row->$id, stripslashes($row->$order));	
	}
}

printf("</select>\n");
printf("</td></tr>");

}

function generate_html_form($type, $formValues, $actionScript, $round = 1) {
global $osztas,$szam,$lapszam,$tizes;
//	switch ($type) {
//		case "fordito":

			$formleiro=adatleiro($type);

            $b_multipart = FALSE;
            foreach ($formleiro as $k=>$v) {
                if ($v["TYPE"] == "FILE" || $v["TYPE"] == "KEPFILE") {
                    $b_multipart = TRUE;
                    }
                }


            if ($b_multipart) {
    			printf("<FORM enctype=\"multipart/form-data\" METHOD=post ACTION=\"%s\">\n", $actionScript);
            } else {
    			printf("<FORM METHOD=post ACTION=\"%s?szam=$szam&osztas=$osztas&lapszam=$lapszam&tizes=$tizes\">\n", $actionScript);
                }
			
			printf("<table cellspacing=\"1\" style='background: #BBBBBB;'>");


			$formleiro=adatleiro($type);
				while (list($key, $val) = each($formValues)) {
					
					switch($formleiro[$key]["TYPE"]){
						case "TEXT":
							if(!isset($formleiro[$key]["SIZE"])){
								$formleiro[$key]["SIZE"]=DEF_SIZE;
							}
							printf("<tr><td width=100>%s</td><td><INPUT TYPE=TEXT SIZE=%s NAME=%s VALUE=\"%s\"></td></tr>\n",$formleiro[$key]["TITLE"], $formleiro[$key]["SIZE"], $key, $val);
						break;
						case "HIDDEN":
							printf("<INPUT TYPE=HIDDEN NAME=%s VALUE=\"%s\">\n", $key, $val);
						break;
						case "SELECT":
							PrintSelect($formleiro[$key]["TABLE"], $key, $formleiro[$key]["TITLE"], $val, $formleiro[$key]["ID"], $formleiro[$key]["ORDER"]);
						break;
						case "TEXTAREA":
							printf("<tr><td width=100>%s</td><td><TEXTAREA COLS=%s ROWS=%s NAME=%s>%s</TEXTAREA></td></tr>\n", $formleiro[$key]["TITLE"], $formleiro[$key]["COLS"], $formleiro[$key]["ROWS"], $key, $val);
						break;
						case "FILE":
                            if ($val == "") {
                                if(!isset($formleiro[$key]["SIZE"])){
                                    $formleiro[$key]["SIZE"]=DEF_SIZE;
                                    }
                                printf("<tr><td width=100>Elérési út, fájlnév</td><td><INPUT TYPE=FILE NAME=%s SIZE=%s></td></tr>\n", $key, $formleiro[$key]["SIZE"]-10);
                            } else {
                                printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $val);
                                }
						break;
						case "KEPFILE":
						
                            $kepe=split("\.",$val);
							$size=getimagesize("../kep/".$val);
							$x=$size[0];
							$y=$size[1];
	                        echo ("<tr><td width=100>".$formleiro[$key]["TITLE"]."</td><td><INPUT TYPE=FILE NAME=".$key.">");
	                        if ($val) echo ("&nbsp;&nbsp;&nbsp;<a href='#' onclick=\"javascript:window.open('../popupkep.php?id=".$kepe[0]."','kep','width=".$x.",height=".$y.",scrollbar=0,resizable=0,location=0,status=0');\"><img src='/kep/".$kepe[0]."_mini.jpg' border=0></a><br><a href='?id=".$kepe[0]."&picdel=".$kepe[0]."'>kép törlése</a></td></tr>\n");
						break;
                        case "RADIO":
							$c=0;
							$j=1;
							$opt="";
							while(!$formleiro[$key]["OPT".$j]==""){
								$c++;
								$j++;
							}
							
							for($i=1;$i<=$c;$i++){
								if($i==$val){
									$checked=" CHECKED";
								} else {
									$checked="";								
								}
								$opt.=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=%s%s>%s ", $key, $i, $checked, $formleiro[$key]["OPT".$i]);
							}
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);

						break;
                        case "RADIO_STATUSZ":
							$c=0;
							$j=1;
							$opt="";
							while(!$formleiro[$key]["OPT".$j]==""){
								$c++;
								$j++;
							}
							
							if ($val==1)
							{
								$opt.=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=1 checked>%s ", $key, $formleiro[$key]["OPT1"]);
								$opt.=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=0>%s ", $key, $formleiro[$key]["OPT2"]);
							}
							if ($val==0)
							{
								$opt.=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=1>%s ", $key, $formleiro[$key]["OPT1"]);
								$opt.=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=0 checked>%s ", $key, $formleiro[$key]["OPT2"]);
							}
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);
						break;
                        case "CHECKBOX_SPECI":
							$c=0;
							$j=1;
							$opt="";
							while(!$formleiro[$key]["OPT".$j]==""){
								$c++;
								$j++;
							}
							
							
							if ($val==1)
							{
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s1 VALUE=1 checked>%s ", $key, $formleiro[$key]["OPT1"]);
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s2 VALUE=2>%s ", $key, $formleiro[$key]["OPT2"]);
							}
							if ($val==2)
							{
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s1 VALUE=1>%s ", $key, $formleiro[$key]["OPT1"]);
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s2 VALUE=2 checked>%s ", $key, $formleiro[$key]["OPT2"]);
							}
							if ($val==3)
							{
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s1 VALUE=1 checked>%s ", $key, $formleiro[$key]["OPT1"]);
								$opt.=sprintf("<INPUT TYPE=CHECKBOX NAME=%s2 VALUE=2 checked>%s ", $key, $formleiro[$key]["OPT2"]);
							}
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);

						break;
                        case "SELECTSTAT":
							$c=0;
							$j=1;
							$opt="";
							while(!$formleiro[$key]["OPT".$j]==""){
								$c++;
								$j++;
							}
							$opt.="<select name=$key>";
							for($i=1;$i<=$c;$i++){
								if($i==$val){
									$checked=" selected";
								} else {
									$checked="";								
								}
								$opt.=sprintf("<option VALUE='%s' %s>%s</option> ", $i, $checked, $formleiro[$key]["OPT".$i]);
							}
							$opt.="</select>";
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);

						break;
/*
						case "RADIO":
							$checked="checked".$val;
							$$checked=" CHECKED";
							$opt1=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=1%s>%s", $key, $checked1, $formleiro[$key]["OPT1"]);
							$opt2=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=2%s>%s", $key, $checked2, $formleiro[$key]["OPT2"]);
							$opt=$opt1 ." ". $opt2;
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);
							$$checked="";
						break;
						case "RADIO_STATUSZ":
							$checked="checked".$val;
							$$checked=" CHECKED";
							$opt1=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=1%s>%s", $key, $checked1, $formleiro[$key]["OPT1"]);
							$opt2=sprintf("<INPUT TYPE=RADIO NAME=%s VALUE=0%s>%s", $key, $checked2, $formleiro[$key]["OPT2"]);
							$opt=$opt1 ." ". $opt2;
							printf("<tr><td width=100>%s</td><td>%s</td></tr>\n", $formleiro[$key]["TITLE"], $opt);
							$$checked="";
						break;
*/
						default:
							printf("<tr><td width=100>%s</td><td><INPUT TYPE=TEXT SIZE=%s NAME=%s VALUE=\"%s\"></td></tr>\n",$formleiro[$key]["TITLE"], DEF_SIZE, $key, $val);
						break;
					
					}
				}
				
			//}


			printf("<tr><td>&nbsp;</td><td><input type=\"submit\" name=\"Submit\" value=\"Mehet\"></td></tr>");
			printf("</table>");
			printf("<input type=\"hidden\" name=\"round\" value=\"%s\">", $round);
			printf("</FORM>");
//		break;


//	} // end switch

}




function adatleiro($tipus){

	switch ($tipus) {
	  case "kategoria":
		$leiro=array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN", "T_VIS"=>"true"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true")
		);
		break;
	  case "tag":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"ASC"),
		"url"=>array("TITLE"=>"URL","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"ASC"),
		"irsz"=>array("TITLE"=>"Irsz.","TYPE"=>"TEXT","SIZE"=>"10"),
		"megye"=>array("TITLE"=>"Megye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"telepules"=>array("TITLE"=>"Település","TYPE"=>"TEXT"),
		"utca"=>array("TITLE"=>"Utca, házszám","TYPE"=>"TEXT"),
		"map"=>array("TITLE"=>"Google map", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"telefon"=>array("TITLE"=>"Telefon","TYPE"=>"TEXT"),
		"fax"=>array("TITLE"=>"Fax","TYPE"=>"TEXT"),
		"email"=>array("TITLE"=>"E-mail","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"jelszo"=>array("TITLE"=>"Jelszó","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"web"=>array("TITLE"=>"Web","TYPE"=>"TEXT"),
		"szolgaltatas"=>array("TITLE"=>"Szolgáltatás leírása", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"specialitas"=>array("TITLE"=>"Specialitások", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"referenciak"=>array("TITLE"=>"Referenciák", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"munkavegzes_hely"=>array("TITLE"=>"Munkavégzés helye","TYPE"=>"CHECKBOX_SPECI","OPT1"=>"könyvelőnél", "OPT2"=>"ügyfélnél"),
		"bizonylat_atadas"=>array("TITLE"=>"Bizonylat átadás","TYPE"=>"CHECKBOX_SPECI","OPT1"=>"könyvelőnél", "OPT2"=>"ügyfélnél"),
		"datum_1"=>array("TITLE"=>"Megrendelve","TYPE"=>"TEXT"),
		"datum_2"=>array("TITLE"=>"Kifizetve","TYPE"=>"TEXT"),
		"datum_3"=>array("TITLE"=>"Utolsó csekk","TYPE"=>"TEXT"),
		"utolso_befizetes"=>array("TITLE"=>"Utolsó befizetés","TYPE"=>"TEXT"),
		"szla_tip"=>array("TITLE"=>"Fizetési mód","TYPE"=>"RADIO","OPT1"=>"átutalás", "OPT2"=>"csekk"),
		"szla_nev"=>array("TITLE"=>"Számlázási név","TYPE"=>"TEXT"),
		"szla_irsz"=>array("TITLE"=>"Számlázási cím - iránytószám","TYPE"=>"TEXT"),
		"szla_telepules"=>array("TITLE"=>"Számlázási cím - település","TYPE"=>"TEXT"),
		"szla_cim"=>array("TITLE"=>"Számlázási cím - utca, házszám","TYPE"=>"TEXT"),
		"szla_kon"=>array("TITLE"=>"Kapcsolattartó","TYPE"=>"TEXT"),
		"post_nev"=>array("TITLE"=>"Postázási név","TYPE"=>"TEXT"),
		"post_irsz"=>array("TITLE"=>"Postázási cím - iránytószám","TYPE"=>"TEXT"),
		"post_telepules"=>array("TITLE"=>"Postázási cím - település","TYPE"=>"TEXT"),
		"post_cim"=>array("TITLE"=>"Postázási cím - utca, házszám","TYPE"=>"TEXT"),
		"jovahagyva"=>array("TITLE"=>"Jóváhagyva","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem"),
		"ext"=>array("TITLE"=>"Fizetős adatok","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem"),
		"hirlevel"=>array("TITLE"=>"Hírlevél","TYPE"=>"RADIO","OPT1"=>"minden hírlevelet kérek", "OPT2"=>"nem kérek hírlevelet", "OPT3"=>"a szolgáltatásaimnak megfelelő hírlevelet kérek"),
		"megjegyzes"=>array("TITLE"=>"Megjegyzés", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"kategoria_1"=>array("TITLE"=>"Első kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_2"=>array("TITLE"=>"Második kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_3"=>array("TITLE"=>"Harmadik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_4"=>array("TITLE"=>"Negyedik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_5"=>array("TITLE"=>"Ötödik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_6"=>array("TITLE"=>"Hatodik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_7"=>array("TITLE"=>"Hetedik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_8"=>array("TITLE"=>"Nyolcadik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_9"=>array("TITLE"=>"Kilencedik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),				
		"kategoria_10"=>array("TITLE"=>"Tizedik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_11"=>array("TITLE"=>"Tizenegyedik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"elfogadva"=>array("TITLE"=>"Feltételek elfogadva","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem"),
		"email2"=>array("TITLE"=>"Kapcsolattartó email","TYPE"=>"TEXT"),
		"megye2"=>array("TITLE"=>"Munkavégzés helye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"megye3"=>array("TITLE"=>"Munkavégzés helye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"datum_4"=>array("TITLE"=>"Lejárati dátum, számított mező","TYPE"=>"HIDDEN"),
		"modositott"=>array("TITLE"=>"Adatok rendben vannak","TYPE"=>"RADIO","OPT1"=>"nem", "OPT2"=>"igen"),
		"kep"=>array("TITLE"=>"Kép","TYPE"=>"KEPFILE"),
		"ip"=>array("TITLE"=>"IP cím","TYPE"=>"TEXT")
		);
		break;
	  case "ajanlat":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"megnevezes"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"url"=>array("TITLE"=>"URL","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"nev"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"vforma"=>array("TITLE"=>"Vállalkozási forma","TYPE"=>"SELECT","TABLE"=>"kk_vforma", "ID"=>"id", "ORDER"=>"nev"),
		"elerhetoseg"=>array("TITLE"=>"Elérhetőség","TYPE"=>"TEXT"),
		"kategoria_1"=>array("TITLE"=>"Első kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_2"=>array("TITLE"=>"Második kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"kategoria_3"=>array("TITLE"=>"Harmadik kategória","TYPE"=>"SELECT","TABLE"=>"kk_kategoria", "ID"=>"id", "ORDER"=>"nev"),
		"munka"=>array("TITLE"=>"Leírás", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"szempontok"=>array("TITLE"=>"Szempontok", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"jovahagyva"=>array("TITLE"=>"Üzemeltető által jóváhagyva","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem", "T_VIS"=>"true"),
		"ervenyes"=>array("TITLE"=>"Érvényes","TYPE"=>"TEXT"),
		"elkuldve"=>array("TITLE"=>"Elküldve","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC"),
		"ip"=>array("TITLE"=>"IP","TYPE"=>"HIDDEN"),
		"mobtel"=>array("TITLE"=>"Kapcsolati telefon","TYPE"=>"TEXT"),

		"szekhely"=>array("TITLE"=>"Székhely","TYPE"=>"TEXT"),
		"fotevekenyseg"=>array("TITLE"=>"Főtevékenység","TYPE"=>"TEXT"),
		"munkahely"=>array("TITLE"=>"Munka helye","TYPE"=>"RADIO","OPT1"=>"könyvelőnél", "OPT2"=>"cégnél"),
		"bejovo_szamlak"=>array("TITLE"=>"Bejövő számlák, db","TYPE"=>"RADIO","OPT1"=>"1-10", "OPT2"=>"10-50", "OPT3"=>"50-100", "OPT4"=>"100-1000", "OPT5"=>"1000 felett", "OPT6"=>"nem tudom"),
		"kimeno_szamlak"=>array("TITLE"=>"Kimenő számlák, db","TYPE"=>"RADIO","OPT1"=>"1-10", "OPT2"=>"10-50", "OPT3"=>"50-100", "OPT4"=>"100-1000", "OPT5"=>"1000 felett", "OPT6"=>"nem tudom"),
		"alkalmazottak"=>array("TITLE"=>"Alkalmazottak","TYPE"=>"TEXT"),
		"arbevetel"=>array("TITLE"=>"Árbevétel, MFt","TYPE"=>"RADIO","OPT1"=>"0-5", "OPT2"=>"5-15", "OPT3"=>"15-50", "OPT4"=>"50 felett", "OPT5"=>"nem tudom"),
		"konyveles_modja"=>array("TITLE"=>"Könyvelés módja","TYPE"=>"SELECTSTAT","OPT1"=>"egyszeres könyvvitel", "OPT2"=>"EVA bevételi nyilvántartás", "OPT3"=>"kettős könyvvitel", "OPT4"=>"nem tudom"),
		"kulker_vegez"=>array("TITLE"=>"Külkereskedelmet végez","TYPE"=>"RADIO","OPT1"=>"nem", "OPT2"=>"igen"),
		"bizonylat_atadas"=>array("TITLE"=>"Bizonylatok átadása","TYPE"=>"RADIO","OPT1"=>"könyvelőnél", "OPT2"=>"cégnél"),
		"honnan_1"=>array("TITLE"=>"Honnan várja az ajánlatokat 1","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"honnan_2"=>array("TITLE"=>"Honnan várja az ajánlatokat 2","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"honnan_3"=>array("TITLE"=>"Honnan várja az ajánlatokat 3","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"kapcsolat_tel"=>array("TITLE"=>"Kapcsolatfelvételi telefon","TYPE"=>"TEXT"),
		"statusz"=>array("TITLE"=>"Ajánlatkérő által jóváhagyva","TYPE"=>"RADIO_STATUSZ","OPT1"=>"igen", "OPT2"=>"nem", "T_VIS"=>"true"),
		"aktivalo_kod"=>array("TITLE"=>"","TYPE"=>"HIDDEN")
		);
		break;
	  case "talalt":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC"),
		"nev"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"elerhetoseg"=>array("TITLE"=>"Elérhetőség","TYPE"=>"TEXT"),
		"fajta"=>array("TITLE"=>"Állat faja és fajtája","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"foto"=>array("TITLE"=>"Kép","TYPE"=>"TEXT"),
		"meret"=>array("TITLE"=>"Állat színe és mérete","TYPE"=>"TEXT"),
		"jel"=>array("TITLE"=>"Állat egyedi megjelölése","TYPE"=>"TEXT"),
		"megye_id"=>array("TITLE"=>"Megye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"hely"=>array("TITLE"=>"Találás helye", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"ido"=>array("TITLE"=>"Találás ideje","TYPE"=>"TEXT"),
		"megjegyzes"=>array("TITLE"=>"Megjegyzés", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10")
		);
		break;
	  case "apro":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC"),
		"cimsor"=>array("TITLE"=>"Címsor","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"nev"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"elerhetoseg"=>array("TITLE"=>"Elérhetőség","TYPE"=>"TEXT"),
		"fajta"=>array("TITLE"=>"Állat faja és fajtája","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"foto"=>array("TITLE"=>"Kép","TYPE"=>"TEXT"),
		"megye_id"=>array("TITLE"=>"Átvétel helye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"hely"=>array("TITLE"=>"Találás helye", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"lejar"=>array("TITLE"=>"Lejárat dátuma","TYPE"=>"TEXT")
		);
		break;
	  case "gazdatkeres":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC"),
		"nev"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"elerhetoseg"=>array("TITLE"=>"Elérhetőség","TYPE"=>"TEXT"),
		"fajta"=>array("TITLE"=>"Állat faja és fajtája","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"foto"=>array("TITLE"=>"Kép","TYPE"=>"TEXT"),
		"megye_id"=>array("TITLE"=>"Átvétel helye","TYPE"=>"SELECT","TABLE"=>"kk_megye", "ID"=>"id", "ORDER"=>"nev"),
		"leiras"=>array("TITLE"=>"Leírás", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"lejar"=>array("TITLE"=>"Lejárat dátuma","TYPE"=>"TEXT")
		);
		break;
	  case "vforma":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true")
		);
		break;
	  case "faliujsag":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"name"=>array("TITLE"=>"Név","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"ip"=>array("TITLE"=>"IP","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"email"=>array("TITLE"=>"E-mail","TYPE"=>"TEXT"),
		"country"=>array("TITLE"=>"Ország","TYPE"=>"TEXT"),
		"city"=>array("TITLE"=>"Város","TYPE"=>"TEXT"),
		"homepage"=>array("TITLE"=>"URL","TYPE"=>"TEXT"),
		"memo"=>array("TITLE"=>"Szöveg", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"deleted"=>array("TITLE"=>"Törölve","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem", "T_VIS"=>"true")
		);
		break;
	  case "hirlevel":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true"),
		"targy"=>array("TITLE"=>"Tárgy","TYPE"=>"TEXT"),
		"szoveg"=>array("TITLE"=>"Szöveg", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"20")
		);
		break;
	  case "szuro":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true"),
		"szuro"=>array("TITLE"=>"SQL szűrő", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"20")
		);
		break;
	  case "lista":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"datum"=>array("TITLE"=>"Dátum","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC"),
		"memo"=>array("TITLE"=>"Megjegyzés", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"ids"=>array("TITLE"=>"Azonosítók", "TYPE"=>"HIDDEN")
		);
		break;
	  case "merge":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"nev"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"lista_id"=>array("TITLE"=>"Lista","TYPE"=>"SELECT","TABLE"=>"kk_lista", "ID"=>"id", "ORDER"=>"nev"),
		"hirlevel_id"=>array("TITLE"=>"Hírlevél","TYPE"=>"SELECT","TABLE"=>"kk_hirlevel", "ID"=>"id", "ORDER"=>"nev"),
		"closed"=>array("TITLE"=>"Lezárva","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem", "T_VIS"=>"true"),
        "closed_date"=>array("TITLE"=>"Zárás dátuma","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true", "T_BY"=>"DESC")
		);
		break;
	  case "doctopic":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"name"=>array("TITLE"=>"Megnevezés","TYPE"=>"TEXT", "T_VIS"=>"true", "T_ORD"=>"true")
		);
		break;
	  case "upload":
		$leiro = array(
		"id"=>array("TITLE"=>"Az.","TYPE"=>"HIDDEN"),
		"doctopic_id"=>array("TITLE"=>"Kategória","TYPE"=>"SELECT","TABLE"=>"kk_doctopic", "ID"=>"id", "ORDER"=>"name"),
		"cim"=>array("TITLE"=>"Cím","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"leiras"=>array("TITLE"=>"Leírás", "TYPE"=>"TEXTAREA", "COLS"=>"59", "ROWS"=>"10"),
		"real_name"=>array("TITLE"=>"Filenév","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"file_name"=>array("TITLE"=>"Tárolt név","TYPE"=>"FILE", "T_VIS"=>"false"),
		"file_size"=>array("TITLE"=>"Méret","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"file_type"=>array("TITLE"=>"Típus","TYPE"=>"TEXT", "T_VIS"=>"true"),
		"letoltheto"=>array("TITLE"=>"Letölthető","TYPE"=>"RADIO","OPT1"=>"igen", "OPT2"=>"nem", "T_VIS"=>"true")
		);
		break;

	}

return $leiro;
}

?>